/** @typedef {import('estree').Node} Node */
/**
 * @typedef {{
 *   file?: string;
 *   sourceMapSource?: string;
 *   sourceMapContent?: string;
 *   sourceMapEncodeMappings?: boolean; // default true
 *   getName?: (name: string) => string;
 * }} PrintOptions
 */
/**
 * @param {Node} node
 * @param {PrintOptions} opts
 * @returns {{ code: string, map: any }} // TODO
 */
export function print(node: Node, opts?: PrintOptions): {
    code: string;
    map: any;
};
export type Node = import('estree').Node;
export type PrintOptions = {
    file?: string;
    sourceMapSource?: string;
    sourceMapContent?: string;
    sourceMapEncodeMappings?: boolean;
    getName?: (name: string) => string;
};
