export function get_comment_handlers(comments: CommentWithLocation[], raw: string): {
    /**
     * @param {boolean} block
     * @param {string} value
     * @param {number} start
     * @param {number} end
     */
    onComment: (block: boolean, value: string, start: number, end: number) => void;
    /** @param {NodeWithLocation} node */
    enter(node: NodeWithLocation): void;
    /** @param {NodeWithLocation} node */
    leave(node: NodeWithLocation): void;
};
export type Comment = import('estree').Comment;
export type Node = import('estree').Node;
export type NodeWithLocation = Node & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
};
export type CommentWithLocation = Comment & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
};
